CHRTBL(8)

NAME
chrtbl - create character classification and upper <-> lower conversion tables

SYNOPSIS
chrtbl [-o ofile] ifile

DESCRIPTION
chrtbl creates character classification and upper <-> lower conversion tables for single byte files. The chrtbl command is modelled after the Solaris/SVR4 command. The input file is similar and contains a keyword per line followed by characters or ranges. Valid keywords are:

LC_CTYPE filename
    Set the filename for the character classification output.

LC_NUMERIC filename
    Set the filename for the numeric formatting output.

isupper begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be upper case.

islower begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be lower case.

isdigit begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be numeric.

isspace begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be space.

ispunct begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be punctuation.

iscntrl begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be control.

isxdigit begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be hexadecimal digits.

isblank begin-char [- end-char]
    Set the attribute of the specified characters range(s) to be blank.

ul <upper-char lower-char> ...
    Specify a case correspondance between upper and lower char.

cswidth n1,s1:n2,s2:n3,s3
    Specify the character set byte width (n1,n2,n3) and the screen width(s1,s2,s3) for the 3 character sets.

decimal_point char
    Specify the decimal point numeric formatting character.

thousands_sep char
    Specify the thousands separator numeric formatting character.

  Available options:

-o ofile
    Print the convertion tables in a human readable (C source) form.

SEE ALSO
setlocale(3)

BUGS
Preliminary support of LC_NUMERIC is present, but not currently fully implemented. No support for wide character locales. Support for alternate localized character sets and numeric formatting is currently not implemented.